Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaScreenParameters.Viability

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaScreenParameters.Viability

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  MediaScreenParameters

    public static class MediaScreenParameters.Viability

extends PdfObjectWrapper<PdfDictionary>

Media screen parameters viability.

Nested Class Summary
`static class` | `MediaScreenParameters.Viability.FloatingWindowParameters`
`static class` | `MediaScreenParameters.Viability.WindowTypeEnum`

Method Summary
`MediaScreenParameters.Viability` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`DeviceRGBColor` | `getBackgroundColor()` Gets the background color for the rectangle in which the media is being played.
`double` | `getBackgroundOpacity()` Gets the opacity of the background color.
`MediaScreenParameters.Viability.FloatingWindowParameters` | `getFloatingWindowParameters()` Gets the options used in displaying floating windows.
`MonitorSpecifierEnum` | `getMonitorSpecifier()` Gets which monitor in a multi-monitor system a floating or full-screen window should appear on.
`MediaScreenParameters.Viability.WindowTypeEnum` | `getWindowType()` Gets the type of window that the media object should play in.
`void` | `setBackgroundColor(DeviceRGBColor value)`
`void` | `setBackgroundOpacity(double value)`
`void` | `setFloatingWindowParameters(MediaScreenParameters.Viability.FloatingWindowParameters value)`
`void` | `setMonitorSpecifier(MonitorSpecifierEnum value)`
`void` | `setWindowType(MediaScreenParameters.Viability.WindowTypeEnum value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public MediaScreenParameters.Viability clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getBackgroundColor

    public DeviceRGBColor getBackgroundColor()

  Gets the background color for the rectangle in which the media is being played. This color is used if the media object does not entirely cover the rectangle or if it has transparent sections.

### getBackgroundOpacity

    public double getBackgroundOpacity()

  Gets the opacity of the background color.

  Returns:
    A number in the range 0 to 1, where 0 means full transparency and 1 full opacity.

### getFloatingWindowParameters

    public MediaScreenParameters.Viability.FloatingWindowParameters getFloatingWindowParameters()

  Gets the options used in displaying floating windows.

### getMonitorSpecifier

    public MonitorSpecifierEnum getMonitorSpecifier()

  Gets which monitor in a multi-monitor system a floating or full-screen window should appear on.

### getWindowType

    public MediaScreenParameters.Viability.WindowTypeEnum getWindowType()

  Gets the type of window that the media object should play in.

### setBackgroundColor

    public void setBackgroundColor(DeviceRGBColor value)

  See Also:
    `getBackgroundColor()`

### setBackgroundOpacity

    public void setBackgroundOpacity(double value)

  See Also:
    `getBackgroundOpacity()`

### setFloatingWindowParameters

    public void setFloatingWindowParameters(MediaScreenParameters.Viability.FloatingWindowParameters value)

  See Also:
    `getFloatingWindowParameters()`

### setMonitorSpecifier

    public void setMonitorSpecifier(MonitorSpecifierEnum value)

  See Also:
    `getMonitorSpecifier()`

### setWindowType

    public void setWindowType(MediaScreenParameters.Viability.WindowTypeEnum value)

  See Also:
    `getWindowType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.